#! /bin/bash

# Recupere toutes les infos pour lancer l'install

echo "Reading file name...";

if [ ! -z $1 ] ; then
	
	if [ ! -f $1 ] ; then

		echo "File not found : $1" ;
	else
		python ./Extract\ releases.py $1 $2 ;
	fi
else
	echo "No argument given";
	
	chemin_default="./WormBase_releases_*.tar.gz";

        echo "Trying default name for package $chemin_default";

	if [ ! -f $chemin_default ]; then

		echo "Not found";
		read -e -p "Enter the path of release package : " chemin ;

		if [ ! -f $chemin ]; then
			echo "No such file : $chemin" ;
		else
			python ./Extract\ releases.py $chemin $2 ;
		fi
	else
		python ./Extract\ releases.py $chemin_default $2 ;
	fi
fi
